---
title: "Create a new Service User."
slug: "create-a-new-service-user-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/create-a-new-service-user-1"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Create a new Service User.
Post/service-users
Create a new Service User.
SecurityHTTPType bearer
Body parameters
Service User object.
Expand Allidstring (uuid)
ID of the object.
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring Required
Name of the object.
Exampleobject
notesstring
Notes for the object. Used for documentation purposes.
ExampleThis object has been created for test purposes.
tags Array of string
Array of tags.
Example[
"developer",
"api-created"
]string
labelsobject
Labels of the service. Will be used as claim.
property*string additionalProperties
passwordstring (password)
Password for the user. Omit the field to keep the old password when updating a user.
ExampletSW3!QBv(rj{UuLY
disabledboolean
If true, the user will not be able to login.
failedLoginAttemptsnumber
Number of wrong password login attempts since last successiful login.
Example0.0
lockStartstring (date-time)
The date time when the user got locked out. A service user is locked out of the system after X amount of consecutive failed login attempts, where X is configurable in the service Identity Provider. The lock is in effect for Y minute(s), where Y is configurable in the service Identity Provider. When the user logs in successfully, this field becomes null.
Responses200
Created Service User.
Expand Allobject idstring (uuid)
ID of the object.
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring
Name of the object.
Exampleobject
notesstring
Notes for the object. Used for documentation purposes.
ExampleThis object has been created for test purposes.
createdstring (date-time)
Create date.
updatedstring (date-time)
Last update date.
tags Array of string
Array of tags.
Example[
"developer",
"api-created"
]string
labelsobject
Labels of the service. Will be used as claim.
property*string additionalProperties
disabledboolean
If true, the user will not be able to login.
failedLoginAttemptsnumber
Number of wrong password login attempts since last successiful login.
Example0.0
lockStartstring (date-time)
The date time when the user got locked out. A service user is locked out of the system after X amount of consecutive failed login attempts, where X is configurable in the service Identity Provider. The lock is in effect for Y minute(s), where Y is configurable in the service Identity Provider. When the user logs in successfully, this field becomes null.
400
JSON error. Check the JSON format.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
401
Token error. Login again.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
403
Insufficient permissions to access this resource.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
406
Invalid 'Accept' header.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
409
The submitted resource conflicts with another.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
422
Request validation error. Check "errors" array for details.
Expand Allobject
Http 422 error for object validation.
idstring
Machine readable error code.
messagestring
Human readable error details.
errors Array of object
List of fields with validation errors.
object fieldstring
Name of the field that failed validation.
Examplename
messagestring
Failure reason.
Examplemay not be null
500
Unexpected server side error.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.